lappend auto_path ./BTS_BASE

package require BTS_BASE
package require BTS_GUI
#package require BTS_TCLSHELL
package require BTS_COMM
package require BTS_USERIO
package require BTS_NIOS_STAMP

namespace import ::bts::bts
namespace import ::bts::gui::print

bts gui add_main_tab intro "Introduction" "::bts::gui::build_default_intro" 0;
bts gui add_main_tab userio "UserIO" "::bts::user_io::build" 1;
bts gui add_main_tab nios_stamp "NIOS Stamp" "::bts::nios_stamp::build" 2;
bts gui add_lower_tab test_msgs "Test Msgs" "::bts::gui::build_msg_tab" 1;

bts user_io set leds [list 8 210020];
bts user_io set seven_segment_display  [list 8 210030];
bts user_io set pushbuttons [list 3 210040];
bts user_io set dipswitch [list 8 210050 8 210060];

bts nios_stamp set santa_cruz [list 210070 210090];
bts nios_stamp set sram [list 0 100000 32];
bts nios_stamp set flash [list 1000000 2000000 8];
bts nios_stamp set ethernet 1;

bts set print bts_msgs;
bts set print_error error;


bts gui start;
bts set enable_gui 1;

print intro "Introduction\n" bold;
print intro "============================\n\n" bold;
   
print intro "Welcome to the Stratix Memory Board 1 Board Test System.\n";
print intro "This system is used to test the User IO and NIOS Stamp \n ";
print intro " peripherals on the Stratix Memory Board 2.\n\n";

print intro "Usage\n" bold;
print intro "============================\n\n" bold;

print intro "Each tab contains tests associated with the tab description.\n";
print intro "The User IO Tab has an Enable Polling button for board inputs, ";
print intro "such as push buttons and dipswitch inputs.  To monitor these ";
print intro "inputs, press this button.\n\n";

print intro "WARNING:\n" bold;
print intro "The Flash test erases the flash, the factory image will ";
print intro "need to be reloaded with the factory default image.\n";


if {$::bts::bts(enable_gui)} {
	vwait ::bts::gui::bts_gui(quit_variable);
}

